<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\Matrix\Operators\DirectSum</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic inherited">
        <a href="#method___construct" title="__construct ::Create an new handler object for the operation">
            <span class="description">Create an new handler object for the operation</span><pre>__construct</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_execute" title="execute ::Execute the addition">
            <span class="description">Execute the addition</span><pre>execute</pre>
        </a>
    </li>    <li class="methodpublic inherited">
        <a href="#method_result" title="result ::Return the result of the operation">
            <span class="description">Return the result of the operation</span><pre>result</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>                        <li class="methodprotected inherited">
                            <a href="#method_validateMatchingDimensions" title="validateMatchingDimensions ::Compare the dimensions of the matrices being operated on to see if they are valid for addition/subtraction">
                                <span class="description">Compare the dimensions of the matrices being operated on to see if they are valid for addition/subtraction</span><pre>validateMatchingDimensions</pre>
                            </a>
                        </li>                        <li class="methodprotected inherited">
                            <a href="#method_validateReflectingDimensions" title="validateReflectingDimensions ::Compare the dimensions of the matrices being operated on to see if they are valid for multiplication/division">
                                <span class="description">Compare the dimensions of the matrices being operated on to see if they are valid for multiplication/division</span><pre>validateReflectingDimensions</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>                        <li class="methodprivate">
                            <a href="#method_directSumMatrix" title="directSumMatrix ::Execute the direct sum for a matrix">
                                <span class="description">Execute the direct sum for a matrix</span><pre>directSumMatrix</pre>
                            </a>
                        </li>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>DirectSum</h1>
                <small style="display: block; text-align: right">                        Extends<a href="../classes/Matrix.Operators.Operator.html">\Matrix\Operators\Operator</a>                </small>
                <p class="short_description"></p>
                <div class="details">
                    <div class="long_description">
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method___construct"></a>
                        <div class="element clickable methodpublic method___construct inherited" data-toggle="collapse" data-target=".method___construct .collapse">
                            <h2>Create an new handler object for the operation</h2>
                            <pre>__construct(\Matrix\Matrix $matrix)</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The base Matrix object on which the operation will be performed</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_directSumMatrix"></a>
                        <div class="element clickable methodprivate method_directSumMatrix" data-toggle="collapse" data-target=".method_directSumMatrix .collapse">
                            <h2>Execute the direct sum for a matrix</h2>
                            <pre>directSumMatrix(\Matrix\Matrix $value): $this</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The numeric value to concatenate/direct sum with the current base value</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>$this</code><p><p>The operation object, allowing multiple additions to be chained</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_execute"></a>
                        <div class="element clickable methodpublic method_execute" data-toggle="collapse" data-target=".method_execute .collapse">
                            <h2>Execute the addition</h2>
                            <pre>execute(mixed $value): $this</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd><p>If the provided argument is not appropriate for the operation</p></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>mixed</code><p><p>The matrix or numeric value to add to the current base value</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>$this</code><p><p>The operation object, allowing multiple additions to be chained</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_result"></a>
                        <div class="element clickable methodpublic method_result inherited" data-toggle="collapse" data-target=".method_result .collapse">
                            <h2>Return the result of the operation</h2>
                            <pre>result(): \Matrix\Matrix</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_validateMatchingDimensions"></a>
                        <div class="element clickable methodprotected method_validateMatchingDimensions inherited" data-toggle="collapse" data-target=".method_validateMatchingDimensions .collapse">
                            <h2>Compare the dimensions of the matrices being operated on to see if they are valid for addition/subtraction</h2>
                            <pre>validateMatchingDimensions(\Matrix\Matrix $matrix)</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The second Matrix object on which the operation will be performed</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <a id="method_validateReflectingDimensions"></a>
                        <div class="element clickable methodprotected method_validateReflectingDimensions inherited" data-toggle="collapse" data-target=".method_validateReflectingDimensions .collapse">
                            <h2>Compare the dimensions of the matrices being operated on to see if they are valid for multiplication/division</h2>
                            <pre>validateReflectingDimensions(\Matrix\Matrix $matrix)</pre>
                            <div class="labels"><span class="label">inherited</span>                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>Throws</th>
                                                <td>
                                                    <dl>                                                        <dt>\Matrix\Exception</dt>
                                                        <dd></dd>                                                    </dl>
                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$matrix</h4>
                                                <code><a href="../classes/Matrix.Matrix.html">\Matrix\Matrix</a></code><p><p>The second Matrix object on which the operation will be performed</p></p>
                                            </div>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_matrix"> </a>
                            <div class="element clickable propertyprotected property_matrix inherited" data-toggle="collapse" data-target=".property_matrix .collapse">
                                <h2>Stored internally as a 2-dimension array of values</h2>
                                <pre>matrix :</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>property
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_rows"> </a>
                            <div class="element clickable propertyprotected property_rows inherited" data-toggle="collapse" data-target=".property_rows .collapse">
                                <h2>Number of rows in the matrix</h2>
                                <pre>rows :</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>property
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                            <a id="property_columns"> </a>
                            <div class="element clickable propertyprotected property_columns inherited" data-toggle="collapse" data-target=".property_columns .collapse">
                                <h2>Number of columns in the matrix</h2>
                                <pre>columns :</pre>
                                <div class="labels"><span class="label">inherited</span>                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>property
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\Matrix\Operators\DirectSum"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/Matrix.Operators.html">Operators</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/Matrix.Operators.DirectSum.html">DirectSum</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:44 +0000.<br/>
    </footer></body>
</html>
